### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/dyn-generic.service.ts`

### Index

###### Properties

- Public dynJsonSchemaFormGeneratorService
- Public formService
- Public router
- Public uxAppShellService
- Public validationService

### Constructor

`constructor(formService: FormService, validationService: DynValidationsService, uxAppShellService: UxAppShellService, router: Router, dynJsonSchemaFormGeneratorService: DynJsonSchemaFormGeneratorService)`

Parameters :

Name | Type | Optional
formService | `FormService` | No
validationService | `DynValidationsService` | No
uxAppShellService | `UxAppShellService` | No
router | `Router` | No
dynJsonSchemaFormGeneratorService | `DynJsonSchemaFormGeneratorService` | No

### Properties

Public dynJsonSchemaFormGeneratorService
Type : `DynJsonSchemaFormGeneratorService`

Public formService
Type : `FormService`

Public router
Type : `Router`

Public uxAppShellService
Type : `UxAppShellService`

Public validationService
Type : `DynValidationsService`

# result-matching ""

# No results matching ""